Belune
Notification ChannelsAdmin only

Update Channel

PUT
/api/notification-channels/{channelId}
AuthorizationBearer <token>

Personal access token whose scope satisfies write.

In: header

Path Parameters

channelId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/notification-channels/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "config": null,  "created_at": "string",  "enabled": true,  "events": [    "string"  ],  "id": "string",  "last_error": "string",  "last_event": "string",  "last_sent_at": "string",  "name": "string",  "type": "string",  "updated_at": "string"}